<?php

namespace app\common\library\sms\engine;
class Smsbao
{
    private $config;

    /**
     * 构造方法
     * Qiniu constructor.
     * @param $config
     */
    public function __construct($config)
    {
        $this->config = $config;
    }

    /**
     * 发送短信通知
     * @param $msgType
     * @param $templateParams
     * @return bool|\stdClass
     */
    public function sendSms($msgType, $templateParams)
    {
        $data['u'] = $this->config['user'];
        $data['p'] = md5($this->config['pwd']);
        $data['m'] = $this->config['order_pay']['accept_phone'];
        $content = "您有一条新订单，订单号为：".$templateParams['order_no']."，请注意查看。";
        $data['c'] = "【".$this->config['sign']."】".$content;
        $url = 'http://api.smsbao.com/sms';
        $res = $this->post($url,$data);
        return $res;

    }


        private function post($url,$data)
    {
        $curl = curl_init();
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
        $ret = curl_exec($curl);
        curl_close($curl);

        return $ret;
    }

 


}
